package com.nisum.test.pages;

import org.openqa.selenium.By;
import org.openqa.selenium.WebDriver;
import org.openqa.selenium.WebElement;

import java.util.concurrent.TimeUnit;

public class AccountSettings {
    WebDriver driver;

    public AccountSettings(WebDriver driver) {
        this.driver = driver;
    }

    public WebElement getMenuBtn() {
        return driver.findElement(By
            .xpath("/html/body/div[1]/div/div/div[1]/div/div/div/div[3]/div[2]/div[1]/div/div/div[3]/ul/li[1]/a"));
    }

    public WebElement getAccountSettingsBtn() {
        return driver.findElement(By
            .xpath("/html/body/div[1]/div/div/div[1]/div/div/div/div[3]/div[2]/div[1]/div/div/div[3]/ul/div/div[2]/div[1]/ul/li[4]/a"));
    }

    public WebElement getAccountFirstName() {
        return driver.findElement(By
            .xpath("/html/body/div[1]/div[2]/main/div/div/div[2]/div/div[1]/div[1]/div/input"));
    }

    public WebElement getAccountLastName() {
        return driver.findElement(By
            .xpath("/html/body/div[1]/div[2]/main/div/div/div[2]/div/div[1]/div[2]/div/input"));
    }

    public WebElement getAccountPhoneNumber() {
        return driver.findElement(By
            .xpath("/html/body/div[1]/div[2]/main/div/div/div[2]/div/div[5]/div/div[1]/input"));
    }

    public void navigateAccountSettings() {
        WebElement menu;
        try {
            getMenuBtn().click();
        }
        catch(org.openqa.selenium.StaleElementReferenceException ex)
        {
            getMenuBtn().click();
        }
        getAccountSettingsBtn().click();
    }
}
