package com.nisum.test.pages;

import org.openqa.selenium.By;
import org.openqa.selenium.WebDriver;
import org.openqa.selenium.WebElement;

public class Login {
    WebDriver driver;

    public Login(WebDriver driver) {
        this.driver = driver;
    }

    public WebElement getInpUserName() {
        return driver.findElement(By
            .xpath("/html/body/div[1]/div/div/div[3]/div/div/div/div[1]/div[2]/div[2]/div/div/div/div/div[2]/div/div/div[2]/form/div[1]/input"));
    }

    public WebElement getInpPassword() {
        return driver.findElement(By
            .xpath("/html/body/div[1]/div/div/div[3]/div/div/div/div[1]/div[2]/div[2]/div/div/div/div/div[2]/div/div/div[2]/form/div[2]/div/input"));
    }

    public WebElement getBtnSubmit() {
        return driver.findElement(By
            .xpath("/html/body/div[1]/div/div/div[3]/div/div/div/div[1]/div[2]/div[2]/div/div/div/div/div[2]/div/div/div[2]/form/div[5]/div[1]/input"));
    }

    public void navigateHome(String url) {
        driver.get(url);
    }

    public void login(String username, String password) {
        getInpUserName().sendKeys(username);
        getInpPassword().sendKeys(password);
        getBtnSubmit().click();
    }
}
